get
https://api.accelevents.com/rest/host/event//sponsors//analytics/source/
- API used at host side event admin, super admin, and organizer admin can access this API.
- On the host side when we click on Analytics -> Sponsors -> Details ( on sponsors row), it will give us a sponsors Id and it will return the information of how many times the sponsor gets clicked by attendees in the provided source.
- Possible sources where attendees can click on sponsors cards are the sponsor tab on the event site, the sponsor tab in the lobby, the area above chat, and inside sessions.
- On the event site page if the user is not logged in then clicks on this user will be counted as Anonymous clicks
- We need to pass an authorization token here, which is generated after successful login into the account.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Here is the description of response attributes, which returns in the form of JSON.
| Attributes | Description |
|---|---|
| Id | Unique id of the sponsor. |
| Sponsor Name | Name of the sponsor. |
| Count By Source | Click count information of provided source where attendees can click on sponsor cards. |
| Logged In | The number of clicks made by logged-in users on the event site page. |
| Anonymous | The number of clicks made by not logged-in users on the event site page. |
| Carousel | The number of clicks made from the carousel (Area above Chat). |
| Sponsor | The number of clicks from the Sponsor tab on the Lobby or inside a Session. |
Description of HTTP Response code.
| Response Code | Description |
|---|---|
| 200 | Successfully API called. |
| 400 | The request could not be understood by the server due to malformed syntax. |
| 401 | You are not authorized to view the resource. |
| 4030201 | You don't have host-level access to access the resource |
| 4040049 | A valid source is not provided in API. Valid sources are:lobby, session and event_site |
- For different sources, it will give a different response.
| Source | Response |
|---|---|
| Lobby | |
| Session | |
| Event Site | |